> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Suggest Abha Address

> This API endpoint is used to fetch some suggested abha id that are available on the basis of user details.



## OpenAPI

````yaml get /abdm/na/v1/registration/suggest
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/na/v1/registration/suggest:
    get:
      summary: Suggest Abha Address
      description: >-
        This API endpoint is used to fetch some suggested abha id that are
        available on the basis of user details.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
        - description: Middle Name
          in: query
          name: mn
          schema:
            description: Middle Name
            examples:
              - Singh
            type: string
        - description: Last Name
          in: query
          name: ln
          schema:
            description: Last Name
            examples:
              - Kumar
            type: string
        - description: First Name
          in: query
          name: fn
          schema:
            description: First Name
            examples:
              - Raj
            type: string
        - description: Date of Birth (YYYY-MM-DD)
          in: query
          name: dob
          schema:
            description: Date of Birth (YYYY-MM-DD)
            examples:
              - '1990-05-15'
            type: string
        - description: Transaction id received in the previous api.
          in: query
          name: transactionId
          schema:
            description: Transaction id received in the previous api.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelsSuggestHealthIdResponse'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ModelsSuggestHealthIdResponse:
      properties:
        suggestions:
          description: List of suggested abha addresses
          items:
            type: string
          type:
            - array
            - 'null'
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````